Scala Standard Library2.13.0 < Back


# Packages

-  package root

  This is the documentation for the Scala standard library.

  This is the documentation for the Scala standard library.

  #### Package structure

  The scala package contains core types like `Int`, `Float`, `Array` or `Option` which are accessible in all Scala compilation units without explicit qualification or imports.

  Notable packages include:

  - `scala.collection` and its sub-packages contain Scala's collections framework
    - `scala.collection.immutable` - Immutable, sequential data-structures such as `Vector`, `List`, `Range`, `HashMap` or `HashSet`
    - `scala.collection.mutable` - Mutable, sequential data-structures such as `ArrayBuffer`, `StringBuilder`, `HashMap` or `HashSet`
    - `scala.collection.concurrent` - Mutable, concurrent data-structures such as `TrieMap`
  - `scala.concurrent` - Primitives for concurrent programming such as `Futures` and `Promises`
  - `scala.io` - Input and output operations
  - `scala.math` - Basic math functions and additional numeric types like `BigInt` and `BigDecimal`
  - `scala.sys` - Interaction with other processes and the operating system
  - `scala.util.matching` - Regular expressions

  Other packages exist. See the complete list on the right.

  Additional parts of the standard library are shipped as separate libraries. These include:

  - `scala.reflect` - Scala's reflection API (scala-reflect.jar)
  - `scala.xml` - XML parsing, manipulation, and serialization (scala-xml.jar)
  - `scala.collection.parallel` - Parallel collections (scala-parallel-collections.jar)
  - `scala.util.parsing` - Parser combinators (scala-parser-combinators.jar)
  - `scala.swing` - A convenient wrapper around Java's GUI framework called Swing (scala-swing.jar)

  #### Automatic imports

  Identifiers in the scala package and the `scala.Predef` object are always in scope by default.

  Some of these identifiers are type aliases provided as shortcuts to commonly used classes. For example, `List` is an alias for `scala.collection.immutable.List`.

  Other aliases refer to classes provided by the underlying platform. For example, on the JVM, `String` is an alias for `java.lang.String`.

  Definition Classes
    root
-  package scala

  Core Scala types.

  Core Scala types. They are always available without an explicit import.

  Definition Classes
    root
-  package collection
  Definition Classes
    scala
-  package immutable
  Definition Classes
    collection
-  object SortedMap extends Delegate[SortedMap]
  Definition Classes
    immutable
  Annotations
    @SerialVersionUID()
- WithDefault

c

scala.collection.immutable.SortedMap

# WithDefault

###

#### final class WithDefault[K, +V] extends Map.WithDefault[K, V] with SortedMap[K, V] with SortedMapOps[K, V, SortedMap, WithDefault[K, V]] with Serializable

Source
  SortedMap.scala

Linear Supertypes
SortedMap[K, V], SortedMapOps[K, V, SortedMap, WithDefault[K, V]], collection.SortedMap[K, V], SortedMapFactoryDefaults[K, V, [x, y]SortedMap[x, y], [x]Iterable[x], [x, y]Map[x, y]], collection.SortedMapOps[K, V, [X, Y]SortedMap[X, Y], WithDefault[K, V]], SortedOps[K, WithDefault[K, V]], Map.WithDefault[K, V], java.io.Serializable, AbstractMap[K, V], Map[K, V], MapOps[K, V, Map, WithDefault[K, V]], Iterable[(K, V)], collection.AbstractMap[K, V], collection.Map[K, V], Equals, MapFactoryDefaults[K, V, [x, y]Map[x, y], [x]Iterable[x]], collection.MapOps[K, V, [_, _]Map[_, _], WithDefault[K, V]], PartialFunction[K, V], (K) => V, AbstractIterable[(K, V)], collection.Iterable[(K, V)], IterableFactoryDefaults[(K, V), [x]Iterable[x]], IterableOps[(K, V), [_]Iterable[_], WithDefault[K, V]], IterableOnceOps[(K, V), [_]Iterable[_], WithDefault[K, V]], IterableOnce[(K, V)], AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WithDefault
2. SortedMap
3. SortedMapOps
4. SortedMap
5. SortedMapFactoryDefaults
6. SortedMapOps
7. SortedOps
8. WithDefault
9. Serializable
10. AbstractMap
11. Map
12. MapOps
13. Iterable
14. AbstractMap
15. Map
16. Equals
17. MapFactoryDefaults
18. MapOps
19. PartialFunction
20. Function1
21. AbstractIterable
22. Iterable
23. IterableFactoryDefaults
24. IterableOps
25. IterableOnceOps
26. IterableOnce
27. AnyRef
28. Any

Implicitly

1. by UnliftOps
2. by iterableOnceExtensionMethods
3. by any2stringadd
4. by StringFormat
5. by Ensuring
6. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new WithDefault(underlying: SortedMap[K, V], defaultValue: (K) => V)

### Type Members

1.  trait GenKeySet extends AnyRef

   A generic trait that is reused by keyset implementations

   A generic trait that is reused by keyset implementations

   Attributes
     protected
   Definition Classes
     MapOps
2.  class KeySet extends AbstractSet[K] with GenKeySet with DefaultSerializable

   The implementation class of the set returned by `keySet`.

   The implementation class of the set returned by `keySet`.

   Attributes
     protected
   Definition Classes
     MapOps
3.  trait GenKeySortedSet extends GenKeySet

   A generic trait that is reused by sorted keyset implementations

   A generic trait that is reused by sorted keyset implementations

   Attributes
     protected
   Definition Classes
     SortedMapOps
4.  class KeySortedSet extends SortedSet[K] with GenKeySet with GenKeySortedSet

   The implementation class of the set returned by `keySet`

   The implementation class of the set returned by `keySet`

   Attributes
     protected
   Definition Classes
     SortedMapOps
5.  class ImmutableKeySet extends AbstractSet[K] with GenKeySet with DefaultSerializable

   The implementation class of the set returned by `keySet`

   The implementation class of the set returned by `keySet`

   Attributes
     protected
   Definition Classes
     MapOps
6.  class ImmutableKeySortedSet extends AbstractSet[K] with SortedSet[K] with GenKeySet with GenKeySortedSet

   The implementation class of the set returned by `keySet`

   The implementation class of the set returned by `keySet`

   Attributes
     protected
   Definition Classes
     SortedMapOps

### Value Members

1.  final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any
2.  final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any
3.  final def +[V1 >: V](kv: (K, V1)): SortedMap[K, V1]

   Alias for `updated`

   Alias for `updated`

   V1

     the type of the value in the key/value pair.

   kv

     the key/value pair.

   returns

     A new map with the new binding added to this map.

   Definition Classes
     SortedMapOps → SortedMapOps → MapOps → MapOps
   Annotations
     @inline()
4.  final def ++[V2 >: V](xs: IterableOnce[(K, V2)]): SortedMap[K, V2]

   Alias for `concat`

   Alias for `concat`

   Definition Classes
     SortedMapOps → MapOps
   Annotations
     @inline()
5.  final def ++[B >: (K, V)](suffix: IterableOnce[B]): Iterable[B]

   Alias for `concat`

   Alias for `concat`

   Definition Classes
     IterableOps
   Annotations
     @inline()
6.  final def -(key: K): WithDefault[K, V]

   Alias for `removed`

   Alias for `removed`

   Definition Classes
     MapOps
   Annotations
     @inline()
7.  final def --(keys: IterableOnce[K]): WithDefault[K, V]

   Alias for `removedAll`

   Alias for `removedAll`

   Definition Classes
     MapOps → MapOps
   Annotations
     @inline()
8.  def ->[B](y: B): (WithDefault[K, V], B)
   Implicit
     This member is added by an implicit conversion from WithDefault[K, V] toArrowAssoc[WithDefault[K, V]] performed by method ArrowAssoc in scala.Predef.This conversion will take place only if V is a subclass of Option[Nothing] (V <: Option[Nothing]).
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
9.  final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any
10.  def addString(sb: mutable.StringBuilder, start: String, sep: String, end: String): mutable.StringBuilder

    Appends all elements of this map to a string builder using start, end, and separator strings.

    Appends all elements of this map to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this map are separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b , "List(" , ", " , ")")
        res5: StringBuilder = List(1, 2, 3, 4)

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      MapOps → IterableOnceOps
11.  final def addString(b: mutable.StringBuilder): mutable.StringBuilder

    Appends all elements of this collection to a string builder.

    Appends all elements of this collection to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this collection without any separator string.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        h: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
    Annotations
      @inline()
12.  final def addString(b: mutable.StringBuilder, sep: String): mutable.StringBuilder

    Appends all elements of this collection to a string builder using a separator string.

    Appends all elements of this collection to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this collection, separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
    Annotations
      @inline()
13.  def andThen[C](k: PartialFunction[V, C]): PartialFunction[K, C]

    Composes this partial function with another partial function that gets applied to results of this partial function.

    Composes this partial function with another partial function that gets applied to results of this partial function.

    Note that calling isDefinedAt on the resulting partial function may apply the first partial function and execute its side effect. It is highly recommended to call applyOrElse instead of isDefinedAt / apply for efficiency.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the domain of this partial function narrowed by other partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction
14.  def andThen[C](k: (V) => C): PartialFunction[K, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    If the runtime type of the function is a `PartialFunction` then the other `andThen` method is used (note its cautions).

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the domain of this partial function, possibly narrowed by the specified function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1
15.  def apply(key: K): V

    Retrieves the value which is associated with the given key.

    Retrieves the value which is associated with the given key. This method invokes the `default` method of the map if there is no mapping from the given key to a value. Unless overridden, the `default` method throws a `NoSuchElementException`.

    key

      the key

    returns

      the value associated with the given key, or the result of the map's `default` method, if none exists.

    Definition Classes
      MapOps → Function1
    Annotations
      @throws(scala.this.throws.<init>$default$1[NoSuchElementException])
16.  def applyOrElse[K1 <: K, V1 >: V](x: K1, default: (K1) => V1): V1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals the compiler generates an `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      MapOps → PartialFunction
    Since

      2.10

17.  final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

18.  def canEqual(that: Any): Boolean

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

    that

      the value being probed for possible equality

    returns

      true if this instance can possibly equal `that`, otherwise false

    Definition Classes
      Map → Equals
19.  def className: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    It is recommended to return the name of the concrete collection type, but not implementation subclasses. For example, for `ListMap` this method should return `"ListMap"`, not `"Map"` (the supertype) or `"Node"` (an implementation subclass).

    The default implementation returns "Iterable". It is overridden for the basic collection kinds "Seq", "IndexedSeq", "LinearSeq", "Buffer", "Set", "Map", "SortedSet", "SortedMap" and "View".

    returns

      a string representation which starts the result of `toString` applied to this iterable collection. By default the string prefix is the simple name of the collection class iterable collection.

    Attributes
      protected[this]
    Definition Classes
      Iterable
20.  def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
    Note

      not specified by SLS as a member of AnyRef

21.  final def coll: WithDefault.this.type

    returns

      This collection as a `C`.

    Attributes
      protected
    Definition Classes
      Iterable → IterableOps
22.  def collect[K2, V2](pf: PartialFunction[(K, V), (K2, V2)])(implicit ordering: Ordering[K2]): SortedMap[K2, V2]

    Builds a new sorted map by applying a partial function to all elements of this map on which the function is defined.

    Builds a new sorted map by applying a partial function to all elements of this map on which the function is defined.

    pf

      the partial function which filters and maps the map.

    returns

      a new map resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      SortedMapOps
23.  def collect[K2, V2](pf: PartialFunction[(K, V), (K2, V2)]): Map[K2, V2]

    Builds a new collection by applying a partial function to all elements of this map on which the function is defined.

    Builds a new collection by applying a partial function to all elements of this map on which the function is defined.

    K2

      the key type of the returned map.

    V2

      the value type of the returned map.

    pf

      the partial function which filters and maps the map.

    returns

      a new map resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      MapOps
24.  def collect[B](pf: PartialFunction[(K, V), B]): Iterable[B]

    Builds a new iterable collection by applying a partial function to all elements of this iterable collection on which the function is defined.

    Builds a new iterable collection by applying a partial function to all elements of this iterable collection on which the function is defined.

    B

      the element type of the returned iterable collection.

    pf

      the partial function which filters and maps the iterable collection.

    returns

      a new iterable collection resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      IterableOps → IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

25.  def collectFirst[B](pf: PartialFunction[(K, V), B]): Option[B]

    Finds the first element of the collection for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the collection for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      IterableOnceOps
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

26.  def compose[R](k: PartialFunction[R, K]): PartialFunction[R, V]

    Composes another partial function `k` with this partial function so that this partial function gets applied to results of `k`.

    Composes another partial function `k` with this partial function so that this partial function gets applied to results of `k`.

    Note that calling isDefinedAt on the resulting partial function may apply the first partial function and execute its side effect. It is highly recommended to call applyOrElse instead of isDefinedAt / apply for efficiency.

    R

      the parameter type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the domain of other partial function narrowed by this partial function, which maps arguments `x` to `this(k(x))`.

    Definition Classes
      PartialFunction
27.  def compose[A](g: (A) => K): (A) => V

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()
28.  def concat[V2 >: V](xs: IterableOnce[(K, V2)]): WithDefault[K, V2]

    Returns a new immutable map containing the elements from the left hand operand followed by the elements from the right hand operand.

    Returns a new immutable map containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the immutable map is the most specific superclass encompassing the element types of the two operands.

    returns

      a new immutable map which contains all elements of this immutable map followed by all elements of `suffix`.

    Definition Classes
      WithDefault → SortedMapOps → WithDefault → MapOps
29.  def concat[B >: (K, V)](suffix: IterableOnce[B]): Iterable[B]

    Returns a new iterable collection containing the elements from the left hand operand followed by the elements from the right hand operand.

    Returns a new iterable collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the iterable collection is the most specific superclass encompassing the element types of the two operands.

    B

      the element type of the returned collection.

    suffix

      the traversable to append.

    returns

      a new iterable collection which contains all elements of this iterable collection followed by all elements of `suffix`.

    Definition Classes
      IterableOps
30.  def contains(key: K): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      MapOps
31.  def copyToArray[B >: (K, V)](xs: Array[B], start: Int, len: Int): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with at most `len` elements of this collection.

    Copying will stop once either all the elements of this collection have been copied, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index of xs.

    len

      the maximal number of elements to copy.

    returns

      the number of elements written to the array

    Definition Classes
      IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change. Note: will not terminate for infinite-sized collections.

32.  def copyToArray[B >: (K, V)](xs: Array[B], start: Int): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with values of this collection.

    Copying will stop once either all the elements of this collection have been copied, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index of xs.

    returns

      the number of elements written to the array Note: will not terminate for infinite-sized collections.

    Definition Classes
      IterableOnceOps
33.  def copyToArray[B >: (K, V)](xs: Array[B]): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with values of this collection.

    Copying will stop once either all the elements of this collection have been copied, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    returns

      the number of elements written to the array Note: will not terminate for infinite-sized collections.

    Definition Classes
      IterableOnceOps
34.  def corresponds[B](that: IterableOnce[B])(p: ((K, V), B) => Boolean): Boolean

    Tests whether every element of this collection's iterator relates to the corresponding element of another collection by satisfying a test predicate.

    Tests whether every element of this collection's iterator relates to the corresponding element of another collection by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other collection

    p

      the test predicate, which relates elements from both collections

    returns

      `true` if both collections have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this iterator and `y` of `that`, otherwise `false`

    Definition Classes
      IterableOnceOps
35.  def count(p: ((K, V)) => Boolean): Int

    Counts the number of elements in the collection which satisfy a predicate.

    Counts the number of elements in the collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      IterableOnceOps
36.  def default(key: K): V

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    key

      the given key value for which a binding is missing.

    Definition Classes
      WithDefault → MapOps
    Exceptions thrown
37.  val defaultValue: (K) => V
    Definition Classes
      WithDefault
38.  def drop(n: Int): WithDefault[K, V]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this iterable collection.

    returns

      a iterable collection consisting of all elements of this iterable collection except the first `n` ones, or else the empty iterable collection, if this iterable collection has less than `n` elements. If `n` is negative, don't drop any elements.

    Definition Classes
      IterableOps → IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

39.  def dropRight(n: Int): WithDefault[K, V]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this iterable collection.

    returns

      a iterable collection consisting of all elements of this iterable collection except the last `n` ones, or else the empty iterable collection, if this iterable collection has less than `n` elements. If `n` is negative, don't drop any elements.

    Definition Classes
      IterableOps
40.  def dropWhile(p: ((K, V)) => Boolean): WithDefault[K, V]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this iterable collection whose first element does not satisfy the predicate `p`.

    Definition Classes
      IterableOps → IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

41.  def elementWise: ElementWiseExtractor[K, V]

    Returns an extractor object with a `unapplySeq` method, which extracts each element of a sequence data.

    Returns an extractor object with a `unapplySeq` method, which extracts each element of a sequence data.

    Definition Classes
      PartialFunction
    Example:

    1.     val firstChar: String => Option[Char] = _.headOption

           Seq("foo", "bar", "baz") match {
             case firstChar.unlift.elementWise(c0, c1, c2) =>
               println(s"$c0, $c1, $c2") // Output: f, b, b
           }

42.  def empty: WithDefault[K, V]

    The empty iterable of the same type as this iterable

    The empty iterable of the same type as this iterable

    returns

      an empty iterable of type `C`.

    Definition Classes
      WithDefault → SortedMapFactoryDefaults → WithDefault → MapFactoryDefaults → IterableFactoryDefaults → IterableOps
43.  def ensuring(cond: (WithDefault[K, V]) => Boolean, msg: => Any): WithDefault[K, V]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toEnsuring[WithDefault[K, V]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
44.  def ensuring(cond: (WithDefault[K, V]) => Boolean): WithDefault[K, V]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toEnsuring[WithDefault[K, V]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
45.  def ensuring(cond: Boolean, msg: => Any): WithDefault[K, V]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toEnsuring[WithDefault[K, V]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
46.  def ensuring(cond: Boolean): WithDefault[K, V]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toEnsuring[WithDefault[K, V]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
47.  final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef
48.  def equals(o: Any): Boolean

    The universal equality method defined in `AnyRef`.

    The universal equality method defined in `AnyRef`.

    Definition Classes
      Map → Equals → AnyRef → Any
49.  def exists(p: ((K, V)) => Boolean): Boolean

    Tests whether a predicate holds for at least one element of this collection.

    Tests whether a predicate holds for at least one element of this collection.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` is satisfied by at least one element of this collection, otherwise `false`

    Definition Classes
      IterableOnceOps
50.  def filter(pred: ((K, V)) => Boolean): WithDefault[K, V]

    Selects all elements of this iterable collection which satisfy a predicate.

    Selects all elements of this iterable collection which satisfy a predicate.

    returns

      a new iterator consisting of all elements of this iterable collection that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      IterableOps → IterableOnceOps
51.  def filterNot(pred: ((K, V)) => Boolean): WithDefault[K, V]

    Selects all elements of this iterable collection which do not satisfy a predicate.

    Selects all elements of this iterable collection which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new iterable collection consisting of all elements of this iterable collection that do not satisfy the given predicate `pred`. Their order may not be preserved.

    Definition Classes
      IterableOps → IterableOnceOps
52.  def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
    Note

      not specified by SLS as a member of AnyRef

53.  def find(p: ((K, V)) => Boolean): Option[(K, V)]

    Finds the first element of the collection satisfying a predicate, if any.

    Finds the first element of the collection satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the collection that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableOnceOps
54.  def firstKey: K

    Returns the first key of the collection.

    Returns the first key of the collection.

    Definition Classes
      SortedMapOps → SortedOps
55.  def flatMap[K2, V2](f: ((K, V)) => IterableOnce[(K2, V2)])(implicit ordering: Ordering[K2]): SortedMap[K2, V2]

    Builds a new sorted map by applying a function to all elements of this map and using the elements of the resulting collections.

    Builds a new sorted map by applying a function to all elements of this map and using the elements of the resulting collections.

    f

      the function to apply to each element.

    returns

      a new map resulting from applying the given collection-valued function `f` to each element of this map and concatenating the results.

    Definition Classes
      SortedMapOps
56.  def flatMap[K2, V2](f: ((K, V)) => IterableOnce[(K2, V2)]): Map[K2, V2]

    Builds a new map by applying a function to all elements of this map and using the elements of the resulting collections.

    Builds a new map by applying a function to all elements of this map and using the elements of the resulting collections.

    f

      the function to apply to each element.

    returns

      a new map resulting from applying the given collection-valued function `f` to each element of this map and concatenating the results.

    Definition Classes
      MapOps
57.  def flatMap[B](f: ((K, V)) => IterableOnce[B]): Iterable[B]

    Builds a new iterable collection by applying a function to all elements of this iterable collection and using the elements of the resulting collections.

    Builds a new iterable collection by applying a function to all elements of this iterable collection and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of iterable collection. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap ((word: String) => word.toSeq)

        // xs will be an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new iterable collection resulting from applying the given collection-valued function `f` to each element of this iterable collection and concatenating the results.

    Definition Classes
      IterableOps → IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

58.  def flatten[B](implicit asIterable: ((K, V)) => IterableOnce[B]): Iterable[B]

    Converts this iterable collection of traversable collections into a iterable collection formed by the elements of these traversable collections.

    Converts this iterable collection of traversable collections into a iterable collection formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the type of iterable collection. For example:

        val xs = List(
                   Set(1, 2, 3),
                   Set(1, 2, 3)
                 ).flatten
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(
                   List(1, 2, 3),
                   List(3, 2, 1)
                 ).flatten
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    asIterable

      an implicit conversion which asserts that the element type of this iterable collection is a `GenTraversable`.

    returns

      a new iterable collection resulting from concatenating all element iterable collections.

    Definition Classes
      IterableOps → IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

59.  def fold[A1 >: (K, V)](z: A1)(op: (A1, A1) => A1): A1

    Folds the elements of this collection using the specified associative binary operator.

    Folds the elements of this collection using the specified associative binary operator. The default implementation in `IterableOnce` is equivalent to `foldLeft` but may be overridden for more efficient traversal orders.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    Note: will not terminate for infinite-sized collections.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication).

    op

      a binary operator that must be associative.

    returns

      the result of applying the fold operator `op` between all the elements and `z`, or `z` if this collection is empty.

    Definition Classes
      IterableOnceOps
60.  def foldLeft[B](z: B)(op: (B, (K, V)) => B): B

    Applies a binary operator to a start value and all elements of this collection, going left to right.

    Applies a binary operator to a start value and all elements of this collection, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this collection, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this collection. Returns `z` if this collection is empty.

    Definition Classes
      IterableOnceOps
61.  def foldRight[B](z: B)(op: ((K, V), B) => B): B

    Applies a binary operator to all elements of this collection and a start value, going right to left.

    Applies a binary operator to all elements of this collection and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this collection. Returns `z` if this collection is empty.

    Definition Classes
      IterableOnceOps
62.  def forall(p: ((K, V)) => Boolean): Boolean

    Tests whether a predicate holds for all elements of this collection.

    Tests whether a predicate holds for all elements of this collection.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if this collection is empty or the given predicate `p` holds for all elements of this collection, otherwise `false`.

    Definition Classes
      IterableOnceOps
63.  def foreach[U](f: ((K, V)) => U): Unit

    Apply `f` to each element for its side effects Note: [U] parameter needed to help scalac's type inference.

    Apply `f` to each element for its side effects Note: [U] parameter needed to help scalac's type inference.

    Definition Classes
      IterableOnceOps
64.  def foreachEntry[U](f: (K, V) => U): Unit

    Apply `f` to each key/value pair for its side effects Note: [U] parameter needed to help scalac's type inference.

    Apply `f` to each key/value pair for its side effects Note: [U] parameter needed to help scalac's type inference.

    Definition Classes
      MapOps
65.  def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toStringFormat[WithDefault[K, V]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
66.  def fromSpecific(coll: IterableOnce[(K, V)]): WithDefault[K, V]

    Defines how to turn a given `Iterable[A]` into a collection of type `C`.

    Defines how to turn a given `Iterable[A]` into a collection of type `C`.

    This process can be done in a strict way or a non-strict way (ie. without evaluating the elements of the resulting collections). In other words, this methods defines the evaluation model of the collection.

    Attributes
      protected
    Definition Classes
      WithDefault → SortedMapFactoryDefaults → WithDefault → MapFactoryDefaults → IterableFactoryDefaults → IterableOps
    Note

      When implementing a custom collection type and refining `C` to the new type, this method needs to be overridden (the compiler will issue an error otherwise). In the common case where `C =:= CC[A]`, this can be done by mixing in the IterableFactoryDefaults trait, which implements the method using iterableFactory.

      ,

      As witnessed by the `@uncheckedVariance` annotation, using this method might be unsound. However, as long as it is called with an `Iterable[A]` obtained from `this` collection (as it is the case in the implementations of operations where we use a `View[A]`), it is safe.

67.  def get(key: K): Option[V]

    Optionally returns the value associated with a key.

    Optionally returns the value associated with a key.

    key

      the key value

    returns

      an option value containing the value associated with `key` in this map, or `None` if none exists.

    Definition Classes
      WithDefault → MapOps
68.  final def getClass(): Class[_ <: AnyRef]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      AnyRef → Any
    Annotations
      @native()
69.  def getOrElse[V1 >: V](key: K, default: => V1): V1

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    V1

      the result type of the default computation.

    key

      the key.

    default

      a computation that yields a default value in case no binding for `key` is found in the map.

    returns

      the value associated with `key` if it exists, otherwise the result of the `default` computation.

    Definition Classes
      MapOps
70.  def groupBy[K](f: ((K, V)) => K): Map[K, WithDefault[K, V]]

    Partitions this iterable collection into a map of iterable collections according to some discriminator function.

    Partitions this iterable collection into a map of iterable collections according to some discriminator function.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to iterable collections such that the following invariant holds:

          (xs groupBy f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a iterable collection of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      IterableOps
71.  def groupMap[K, B](key: ((K, V)) => K)(f: ((K, V)) => B): Map[K, Iterable[B]]

    Partitions this iterable collection into a map of iterable collections according to a discriminator function `key`.

    Partitions this iterable collection into a map of iterable collections according to a discriminator function `key`. Each element in a group is transformed into a value of type `B` using the `value` function.

    It is equivalent to `groupBy(key).mapValues(_.map(f))`, but more efficient.

        case class User(name: String, age: Int)

        def namesByAge(users: Seq[User]): Map[Int, Seq[String]] =
          users.groupMap(_.age)(_.name)

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    K

      the type of keys returned by the discriminator function

    B

      the type of values returned by the transformation function

    key

      the discriminator function

    f

      the element transformation function

    Definition Classes
      IterableOps
72.  def groupMapReduce[K, B](key: ((K, V)) => K)(f: ((K, V)) => B)(reduce: (B, B) => B): Map[K, B]

    Partitions this iterable collection into a map according to a discriminator function `key`.

    Partitions this iterable collection into a map according to a discriminator function `key`. All the values that have the same discriminator are then transformed by the `value` function and then reduced into a single value with the `reduce` function.

    It is equivalent to `groupBy(key).mapValues(_.map(f).reduce(reduce))`, but more efficient.

        def occurrences[A](as: Seq[A]): Map[A, Int] =
          as.groupMapReduce(identity)(_ => 1)(_ + _)

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    Definition Classes
      IterableOps
73.  def grouped(size: Int): Iterator[WithDefault[K, V]]

    Partitions elements in fixed size iterable collections.

    Partitions elements in fixed size iterable collections.

    size

      the number of elements per group

    returns

      An iterator producing iterable collections of size `size`, except the last will be less than size `size` if the elements don't divide evenly.

    Definition Classes
      IterableOps
    See also

      scala.collection.Iterator, method `grouped`

74.  def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      Map → AnyRef → Any
75.  def head: (K, V)

    Selects the first element of this iterable collection.

    Selects the first element of this iterable collection.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this iterable collection.

    Definition Classes
      IterableOps
    Exceptions thrown

      `NoSuchElementException` if the iterable collection is empty.

76.  def headOption: Option[(K, V)]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this iterable collection if it is nonempty, `None` if it is empty.

    Definition Classes
      IterableOps
77.  def init: WithDefault[K, V]

    The initial part of the collection without its last element.

    The initial part of the collection without its last element.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    Definition Classes
      IterableOps
78.  def inits: Iterator[WithDefault[K, V]]

    Iterates over the inits of this iterable collection.

    Iterates over the inits of this iterable collection. The first value will be this iterable collection and the final one will be an empty iterable collection, with the intervening values the results of successive applications of `init`.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    returns

      an iterator over all the inits of this iterable collection

    Definition Classes
      IterableOps
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

79.  def isDefinedAt(key: K): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key. This method, which implements an abstract method of trait `PartialFunction`, is equivalent to `contains`.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      MapOps → PartialFunction
80.  def isEmpty: Boolean

    Tests whether the immutable map is empty.

    Tests whether the immutable map is empty.

    Note: Implementations in subclasses that are not repeatedly traversable must take care not to consume any elements when `isEmpty` is called.

    returns

      `true` if the immutable map contains no elements, `false` otherwise.

    Definition Classes
      WithDefault → IterableOnceOps
81.  final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any
82.  def isTraversableAgain: Boolean

    Tests whether this iterable collection can be repeatedly traversed.

    Tests whether this iterable collection can be repeatedly traversed. Always true for Iterables and false for Iterators unless overridden.

    returns

      `true` if it is repeatedly traversable, `false` otherwise.

    Definition Classes
      IterableOps → IterableOnceOps
83.  def iterableFactory: IterableFactory[Iterable]

    The companion object of this immutable map, providing various factory methods.

    The companion object of this immutable map, providing various factory methods.

    Definition Classes
      WithDefault → Iterable → Iterable → IterableOps
    Note

      When implementing a custom collection type and refining `CC` to the new type, this method needs to be overridden to return a factory for the new type (the compiler will issue an error otherwise).

84.  def iterator: Iterator[(K, V)]

    Iterator can be used only once

    Iterator can be used only once

    Definition Classes
      WithDefault → IterableOnce
85.  def iteratorFrom(start: K): Iterator[(K, V)]

    Creates an iterator over all the key/value pairs contained in this map having a key greater than or equal to `start` according to the ordering of this map.

    Creates an iterator over all the key/value pairs contained in this map having a key greater than or equal to `start` according to the ordering of this map. x.iteratorFrom(y) is equivalent to but often more efficient than x.from(y).iterator.

    start

      The lower bound (inclusive) on the keys to be returned

    Definition Classes
      WithDefault → SortedMapOps
86.  def keySet: SortedSet[K]

    Collects all keys of this map in a set.

    Collects all keys of this map in a set.

    returns

      a set containing all keys of this map.

    Definition Classes
      SortedMapOps → SortedMapOps → MapOps → MapOps
87.  def keyStepper[S <: Stepper[_]](implicit shape: StepperShape[K, S]): S

    Returns a Stepper for the keys of this map.

    Returns a Stepper for the keys of this map. See method stepper.

    Definition Classes
      MapOps
88.  def keys: collection.Iterable[K]

    Collects all keys of this map in an iterable collection.

    Collects all keys of this map in an iterable collection.

    returns

      the keys of this map as an iterable.

    Definition Classes
      MapOps
89.  def keysIterator: Iterator[K]

    Creates an iterator for all keys.

    Creates an iterator for all keys.

    returns

      an iterator over all keys.

    Definition Classes
      MapOps
90.  def keysIteratorFrom(start: K): Iterator[K]

    Creates an iterator over all the keys(or elements) contained in this collection greater than or equal to `start` according to the ordering of this collection.

    Creates an iterator over all the keys(or elements) contained in this collection greater than or equal to `start` according to the ordering of this collection. x.keysIteratorFrom(y) is equivalent to but often more efficient than x.from(y).keysIterator.

    start

      The lower bound (inclusive) on the keys to be returned

    Definition Classes
      WithDefault → SortedMapOps
91.  def knownSize: Int

    returns

      The number of elements in this collection, if it can be cheaply computed, -1 otherwise. Cheaply usually means: Not requiring a collection traversal.

    Definition Classes
      IterableOnce
92.  def last: (K, V)

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this iterable collection.

    Definition Classes
      IterableOps
    Exceptions thrown

      `NoSuchElementException` If the iterable collection is empty.

93.  def lastKey: K

    Returns the last key of the collection.

    Returns the last key of the collection.

    Definition Classes
      SortedMapOps → SortedOps
94.  def lastOption: Option[(K, V)]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this iterable collection$ if it is nonempty, `None` if it is empty.

    Definition Classes
      IterableOps
95.  def lazyZip[B](that: collection.Iterable[B]): LazyZip2[(K, V), B, WithDefault.this.type]

    Analogous to `zip` except that the elements in each collection are not consumed until a strict operation is invoked on the returned `LazyZip2` decorator.

    Analogous to `zip` except that the elements in each collection are not consumed until a strict operation is invoked on the returned `LazyZip2` decorator.

    Calls to `lazyZip` can be chained to support higher arities (up to 4) without incurring the expense of constructing and deconstructing intermediary tuples.

        val xs = List(1, 2, 3)
        val res = (xs lazyZip xs lazyZip xs lazyZip xs).map((a, b, c, d) => a + b + c + d)
        // res == List(4, 8, 12)

    B

      the type of the second element in each eventual pair

    that

      the iterable providing the second element of each eventual pair

    returns

      a decorator `LazyZip2` that allows strict operations to be performed on the lazily evaluated pairs or chained calls to `lazyZip`. Implicit conversion to `Iterable[(A, B)]` is also supported.

    Definition Classes
      Iterable
96.  def lift: (K) => Option[V]

    Turns this partial function into a plain function returning an `Option` result.

    Turns this partial function into a plain function returning an `Option` result.

    returns

      a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

    Definition Classes
      PartialFunction
    See also

      Function.unlift

97.  def map[K2, V2](f: ((K, V)) => (K2, V2))(implicit ordering: Ordering[K2]): SortedMap[K2, V2]

    Builds a new sorted map by applying a function to all elements of this map.

    Builds a new sorted map by applying a function to all elements of this map.

    f

      the function to apply to each element.

    returns

      a new map resulting from applying the given function `f` to each element of this map and collecting the results.

    Definition Classes
      SortedMapOps
98.  def map[K2, V2](f: ((K, V)) => (K2, V2)): Map[K2, V2]

    Builds a new map by applying a function to all elements of this map.

    Builds a new map by applying a function to all elements of this map.

    f

      the function to apply to each element.

    returns

      a new map resulting from applying the given function `f` to each element of this map and collecting the results.

    Definition Classes
      MapOps
99.  def map[B](f: ((K, V)) => B): Iterable[B]

    Builds a new iterable collection by applying a function to all elements of this iterable collection.

    Builds a new iterable collection by applying a function to all elements of this iterable collection.

    B

      the element type of the returned iterable collection.

    f

      the function to apply to each element.

    returns

      a new iterable collection resulting from applying the given function `f` to each element of this iterable collection and collecting the results.

    Definition Classes
      IterableOps → IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

100.  def mapFactory: MapFactory[Map]

     The companion object of this map, providing various factory methods.

     The companion object of this map, providing various factory methods.

     Definition Classes
       WithDefault → Map → Map → MapOps
     Note

       When implementing a custom collection type and refining `CC` to the new type, this method needs to be overridden to return a factory for the new type (the compiler will issue an error otherwise).

101.  final def mapFromIterable[K2, V2](it: collection.Iterable[(K2, V2)]): Map[K2, V2]

     Similar to `fromIterable`, but returns a Map collection type.

     Similar to `fromIterable`, but returns a Map collection type. Note that the return type is now `CC[K2, V2]`.

     Attributes
       protected
     Definition Classes
       MapOps
     Annotations
       @inline()
102.  def max[B >: (K, V)](implicit ord: math.Ordering[B]): (K, V)

     Finds the largest element.

     Finds the largest element.

     B

       The type over which the ordering is defined.

     ord

       An ordering to be used for comparing elements.

     returns

       the largest element of this collection with respect to the ordering `ord`.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this collection is empty.

103.  def maxBefore(key: K): Option[(K, V)]

     Find the element with largest key less than a given key.

     Find the element with largest key less than a given key.

     key

       The given key.

     returns

       `None` if there is no such node.

     Definition Classes
       SortedMapOps
104.  def maxBy[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): (K, V)

     Finds the first element which yields the largest value measured by function f.

     Finds the first element which yields the largest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       the first element of this collection with the largest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this collection is empty.

105.  def maxByOption[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): Option[(K, V)]

     Finds the first element which yields the largest value measured by function f.

     Finds the first element which yields the largest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       an option value containing the first element of this collection with the largest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
106.  def maxOption[B >: (K, V)](implicit ord: math.Ordering[B]): Option[(K, V)]

     Finds the largest element.

     Finds the largest element.

     B

       The type over which the ordering is defined.

     ord

       An ordering to be used for comparing elements.

     returns

       an option value containing the largest element of this collection with respect to the ordering `ord`.

     Definition Classes
       IterableOnceOps
107.  def min[B >: (K, V)](implicit ord: math.Ordering[B]): (K, V)

     Finds the smallest element.

     Finds the smallest element.

     B

       The type over which the ordering is defined.

     ord

       An ordering to be used for comparing elements.

     returns

       the smallest element of this collection with respect to the ordering `ord`.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this collection is empty.

108.  def minAfter(key: K): Option[(K, V)]

     Find the element with smallest key larger than or equal to a given key.

     Find the element with smallest key larger than or equal to a given key.

     key

       The given key.

     returns

       `None` if there is no such node.

     Definition Classes
       SortedMapOps
109.  def minBy[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): (K, V)

     Finds the first element which yields the smallest value measured by function f.

     Finds the first element which yields the smallest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       the first element of this collection with the smallest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this collection is empty.

110.  def minByOption[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): Option[(K, V)]

     Finds the first element which yields the smallest value measured by function f.

     Finds the first element which yields the smallest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       an option value containing the first element of this collection with the smallest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
111.  def minOption[B >: (K, V)](implicit ord: math.Ordering[B]): Option[(K, V)]

     Finds the smallest element.

     Finds the smallest element.

     B

       The type over which the ordering is defined.

     ord

       An ordering to be used for comparing elements.

     returns

       an option value containing the smallest element of this collection with respect to the ordering `ord`.

     Definition Classes
       IterableOnceOps
112.  final def mkString: String

     Displays all elements of this collection in a string.

     Displays all elements of this collection in a string.

     Delegates to addString, which can be overridden.

     returns

       a string representation of this collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this collection follow each other without any separator string.

     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
113.  final def mkString(sep: String): String

     Displays all elements of this collection in a string using a separator string.

     Displays all elements of this collection in a string using a separator string.

     Delegates to addString, which can be overridden.

     sep

       the separator string.

     returns

       a string representation of this collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this collection are separated by the string `sep`.

     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

114.  final def mkString(start: String, sep: String, end: String): String

     Displays all elements of this collection in a string using start, end, and separator strings.

     Displays all elements of this collection in a string using start, end, and separator strings.

     Delegates to addString, which can be overridden.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this collection. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this collection are separated by the string `sep`.

     Definition Classes
       IterableOnceOps
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

115.  final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef
116.  def newSpecificBuilder: Builder[(K, V), WithDefault[K, V]]

     returns

       a strict builder for the same collection type. Note that in the case of lazy collections (e.g. View or immutable.LazyList), it is possible to implement this method but the resulting `Builder` will break laziness. As a consequence, operations should preferably be implemented with `fromSpecific` instead of this method.

     Attributes
       protected
     Definition Classes
       WithDefault → SortedMapFactoryDefaults → WithDefault → MapFactoryDefaults → IterableFactoryDefaults → IterableOps
     Note

       When implementing a custom collection type and refining `C` to the new type, this method needs to be overridden (the compiler will issue an error otherwise). In the common case where `C =:= CC[A]`, this can be done by mixing in the IterableFactoryDefaults trait, which implements the method using iterableFactory.

       ,

       As witnessed by the `@uncheckedVariance` annotation, using this method might be unsound. However, as long as the returned builder is only fed with `A` values taken from `this` instance, it is safe.

117.  def nonEmpty: Boolean

     Tests whether the collection is not empty.

     Tests whether the collection is not empty.

     returns

       `true` if the collection contains at least one element, `false` otherwise.

     Definition Classes
       IterableOnceOps
     Annotations
       @deprecatedOverriding("nonEmpty is defined as !isEmpty; override isEmpty instead", "2.13.0")
118.  final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @native()
     Note

       not specified by SLS as a member of AnyRef

119.  final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @native()
     Note

       not specified by SLS as a member of AnyRef

120.  def orElse[A1 <: K, B1 >: V](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction
121.  implicit def ordering: Ordering[K]
     Definition Classes
       WithDefault → SortedOps
122.  def partition(p: ((K, V)) => Boolean): (WithDefault[K, V], WithDefault[K, V])

     A pair of, first, all elements that satisfy predicate `p` and, second, all elements that do not.

     A pair of, first, all elements that satisfy predicate `p` and, second, all elements that do not. Interesting because it splits a collection in two.

     The default implementation provided here needs to traverse the collection twice. Strict collections have an overridden version of `partition` in `StrictOptimizedIterableOps`, which requires only a single traversal.

     Definition Classes
       IterableOps
123.  def partitionMap[A1, A2](f: ((K, V)) => Either[A1, A2]): (Iterable[A1], Iterable[A2])

     Applies a function `f` to each element of the iterable collection and returns a pair of iterable collections: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Applies a function `f` to each element of the iterable collection and returns a pair of iterable collections: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Example:

         val xs = Iterable(1, "one", 2, "two", 3, "three") partitionMap {
          case i: Int => Left(i)
          case s: String => Right(s)
         }
         // xs == (Iterable(1, 2, 3),
         //        Iterable(one, two, three))

     A1

       the element type of the first resulting collection

     A2

       the element type of the second resulting collection

     f

       the 'split function' mapping the elements of this iterable collection to an scala.util.Either

     returns

       a pair of iterable collections: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Definition Classes
       IterableOps
124.  def product[B >: (K, V)](implicit num: math.Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this collection with respect to the `*` operator in `num`.

     Definition Classes
       IterableOnceOps
125.  def range(from: K, until: K): WithDefault[K, V]

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

     from

       The lower-bound (inclusive) of the ranged projection.

     until

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedOps
126.  def rangeFrom(from: K): WithDefault[K, V]

     Creates a ranged projection of this collection with no upper-bound.

     Creates a ranged projection of this collection with no upper-bound.

     from

       The lower-bound (inclusive) of the ranged projection.

     Definition Classes
       SortedOps
127.  def rangeImpl(from: Option[K], until: Option[K]): WithDefault[K, V]

     Creates a ranged projection of this collection.

     Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa.

     Note: keys are not guaranteed to be consistent between this collection and the projection. This is the case for buffers where indexing is relative to the projection.

     from

       The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.

     until

       The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

     Definition Classes
       WithDefault → SortedOps
128.  def rangeTo(to: K): WithDefault[K, V]

     Create a range projection of this collection with no lower-bound.

     Create a range projection of this collection with no lower-bound.

     to

       The upper-bound (inclusive) of the ranged projection.

     Definition Classes
       SortedMapOps → SortedOps
129.  def rangeUntil(until: K): WithDefault[K, V]

     Creates a ranged projection of this collection with no lower-bound.

     Creates a ranged projection of this collection with no lower-bound.

     until

       The upper-bound (exclusive) of the ranged projection.

     Definition Classes
       SortedOps
130.  def reduce[B >: (K, V)](op: (B, B) => B): B

     Reduces the elements of this collection using the specified associative binary operator.

     Reduces the elements of this collection using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     B

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the collection is nonempty.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this collection is empty.

131.  def reduceLeft[B >: (K, V)](op: (B, (K, V)) => B): B

     Applies a binary operator to all elements of this collection, going left to right.

     Applies a binary operator to all elements of this collection, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this collection, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this collection.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this collection is empty.

132.  def reduceLeftOption[B >: (K, V)](op: (B, (K, V)) => B): Option[B]

     Optionally applies a binary operator to all elements of this collection, going left to right.

     Optionally applies a binary operator to all elements of this collection, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` if this collection is nonempty, `None` otherwise.

     Definition Classes
       IterableOnceOps
133.  def reduceOption[B >: (K, V)](op: (B, B) => B): Option[B]

     Reduces the elements of this collection, if any, using the specified associative binary operator.

     Reduces the elements of this collection, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     B

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       IterableOnceOps
134.  def reduceRight[B >: (K, V)](op: ((K, V), B) => B): B

     Applies a binary operator to all elements of this collection, going right to left.

     Applies a binary operator to all elements of this collection, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this collection, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this collection.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this collection is empty.

135.  def reduceRightOption[B >: (K, V)](op: ((K, V), B) => B): Option[B]

     Optionally applies a binary operator to all elements of this collection, going right to left.

     Optionally applies a binary operator to all elements of this collection, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` if this collection is nonempty, `None` otherwise.

     Definition Classes
       IterableOnceOps
136.  def removed(key: K): WithDefault[K, V]

     Removes a key from this map, returning a new map.

     Removes a key from this map, returning a new map.

     key

       the key to be removed

     returns

       a new map without a binding for key

     Definition Classes
       WithDefault → WithDefault → MapOps
137.  def removedAll(keys: IterableOnce[K]): WithDefault[K, V]

     Creates a new immutable map from this immutable map by removing all elements of another collection.

     Creates a new immutable map from this immutable map by removing all elements of another collection.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     keys

       the collection containing the removed elements.

     returns

       a new immutable map that contains all elements of the current immutable map except one less occurrence of each of the elements of `elems`.

     Definition Classes
       MapOps
138.  def reversed: collection.Iterable[(K, V)]
     Attributes
       protected
     Definition Classes
       IterableOnceOps
139.  def runWith[U](action: (V) => U): (K) => Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

140.  def scan[B >: (K, V)](z: B)(op: (B, B) => B): Iterable[B]

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     returns

       a new iterable collection containing the prefix scan of the elements in this iterable collection

     Definition Classes
       IterableOps
141.  def scanLeft[B](z: B)(op: (B, (K, V)) => B): Iterable[B]

     Produces a iterable collection containing cumulative results of applying the operator going left to right, including the initial value.

     Produces a iterable collection containing cumulative results of applying the operator going left to right, including the initial value.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       collection with intermediate results

     Definition Classes
       IterableOps → IterableOnceOps
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

142.  def scanRight[B](z: B)(op: ((K, V), B) => B): Iterable[B]

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       collection with intermediate results

     Definition Classes
       IterableOps
143.  def size: Int

     The size of this collection.

     The size of this collection.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this collection.

     Definition Classes
       IterableOnceOps
144.  def sizeCompare(that: collection.Iterable[_]): Int

     Compares the size of this iterable collection to the size of another `Iterable`.

     Compares the size of this iterable collection to the size of another `Iterable`.

     that

       the `Iterable` whose size is compared with this iterable collection's size.

     returns

       A value `x` where

           x <  0       if this.size <  that.size
           x == 0       if this.size == that.size
           x >  0       if this.size >  that.size

       The method as implemented here does not call `size` directly; its running time is `O(this.size min that.size)` instead of `O(this.size + that.size)`. The method should be overridden if computing `size` is cheap and `knownSize` returns `-1`.

     Definition Classes
       IterableOps
145.  def sizeCompare(otherSize: Int): Int

     Compares the size of this iterable collection to a test value.

     Compares the size of this iterable collection to a test value.

     otherSize

       the test value that gets compared with the size.

     returns

       A value `x` where

           x <  0       if this.size <  otherSize
           x == 0       if this.size == otherSize
           x >  0       if this.size >  otherSize

       The method as implemented here does not call `size` directly; its running time is `O(size min otherSize)` instead of `O(size)`. The method should be overridden if computing `size` is cheap and `knownSize` returns `-1`.

     Definition Classes
       IterableOps
     See also

       sizeIs

146.  final def sizeIs: SizeCompareOps

     Returns a value class containing operations for comparing the size of this iterable collection to a test value.

     Returns a value class containing operations for comparing the size of this iterable collection to a test value.

     These operations are implemented in terms of `sizeCompare(Int)`, and allow the following more readable usages:

         this.sizeIs < size     // this.sizeCompare(size) < 0
         this.sizeIs <= size    // this.sizeCompare(size) <= 0
         this.sizeIs == size    // this.sizeCompare(size) == 0
         this.sizeIs != size    // this.sizeCompare(size) != 0
         this.sizeIs >= size    // this.sizeCompare(size) >= 0
         this.sizeIs > size     // this.sizeCompare(size) > 0

     Definition Classes
       IterableOps
     Annotations
       @inline()
147.  def slice(from: Int, until: Int): WithDefault[K, V]

     Selects an interval of elements.

     Selects an interval of elements. The returned iterable collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the lowest index to include from this iterable collection.

     until

       the lowest index to EXCLUDE from this iterable collection.

     returns

       a iterable collection containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this iterable collection.

     Definition Classes
       IterableOps → IterableOnceOps
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

148.  def sliding(size: Int, step: Int): Iterator[WithDefault[K, V]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups

     returns

       An iterator producing iterable collections of size `size`, except the last element (which may be the only element) will be truncated if there are fewer than `size` elements remaining to be grouped.

     Definition Classes
       IterableOps
     See also

       scala.collection.Iterator, method `sliding`

149.  def sliding(size: Int): Iterator[WithDefault[K, V]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.) The "sliding window" step is set to one.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.) The "sliding window" step is set to one.

     size

       the number of elements per group

     returns

       An iterator producing iterable collections of size `size`, except the last element (which may be the only element) will be truncated if there are fewer than `size` elements remaining to be grouped.

     Definition Classes
       IterableOps
     See also

       scala.collection.Iterator, method `sliding`

150.  def sortedMapFactory: SortedMapFactory[SortedMap]

     The companion object of this sorted map, providing various factory methods.

     The companion object of this sorted map, providing various factory methods.

     Definition Classes
       WithDefault → SortedMap → SortedMap → SortedMapOps
     Note

       When implementing a custom collection type and refining `CC` to the new type, this method needs to be overridden to return a factory for the new type (the compiler will issue an error otherwise).

151.  final def sortedMapFromIterable[K2, V2](it: collection.Iterable[(K2, V2)])(implicit ordering: Ordering[K2]): SortedMap[K2, V2]

     Similar to `mapFromIterable`, but returns a SortedMap collection type.

     Similar to `mapFromIterable`, but returns a SortedMap collection type. Note that the return type is now `CC[K2, V2]`.

     Attributes
       protected
     Definition Classes
       SortedMapOps
     Annotations
       @inline()
152.  def span(p: ((K, V)) => Boolean): (WithDefault[K, V], WithDefault[K, V])

     Splits this iterable collection into a prefix/suffix pair according to a predicate.

     Splits this iterable collection into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this iterable collection whose elements all satisfy `p`, and the rest of this iterable collection.

     Definition Classes
       IterableOps → IterableOnceOps
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterators that were returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterators as well.

153.  def splitAt(n: Int): (WithDefault[K, V], WithDefault[K, V])

     Splits this iterable collection into a prefix/suffix pair at a given position.

     Splits this iterable collection into a prefix/suffix pair at a given position.

     Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of iterable collections consisting of the first `n` elements of this iterable collection, and the other elements.

     Definition Classes
       IterableOps → IterableOnceOps
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterators that were returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterators as well.

154.  def stepper[S <: Stepper[_]](implicit shape: StepperShape[(K, V), S]): S

     Returns a Stepper for the elements of this collection.

     Returns a Stepper for the elements of this collection.

     The Stepper enables creating a Java stream to operate on the collection, see scala.jdk.StreamConverters. For collections holding primitive values, the Stepper can be used as an iterator which doesn't box the elements.

     The implicit StepperShape parameter defines the resulting Stepper type according to the element type of this collection.

     - For collections of `Int`, `Short`, `Byte` or `Char`, an IntStepper is returned
     - For collections of `Double` or `Float`, a DoubleStepper is returned
     - For collections of `Long` a LongStepper is returned
     - For any other element type, an AnyStepper is returned

     Note that this method is overridden in subclasses and the return type is refined to `S with EfficientSplit`, for example IndexedSeqOps.stepper. For Steppers marked with scala.collection.Stepper.EfficientSplit, the converters in scala.jdk.StreamConverters allow creating parallel streams, whereas bare Steppers can be converted only to sequential streams.

     Definition Classes
       IterableOnce
155.  def stringPrefix: String
     Attributes
       protected[this]
     Definition Classes
       SortedMap → Map → Iterable
     Annotations
       @deprecatedOverriding("Compatibility override", "2.13.0")
156.  def sum[B >: (K, V)](implicit num: math.Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this collection with respect to the `+` operator in `num`.

     Definition Classes
       IterableOnceOps
157.  final def synchronized[T0](arg0: => T0): T0
     Definition Classes
       AnyRef
158.  def tail: WithDefault[K, V]

     The rest of the collection without its first element.

     The rest of the collection without its first element.

     Definition Classes
       IterableOps
159.  def tails: Iterator[WithDefault[K, V]]

     Iterates over the tails of this iterable collection.

     Iterates over the tails of this iterable collection. The first value will be this iterable collection and the final one will be an empty iterable collection, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this iterable collection

     Definition Classes
       IterableOps
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

160.  def take(n: Int): WithDefault[K, V]

     Selects the first n elements.

     Selects the first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this iterable collection.

     returns

       a iterable collection consisting only of the first `n` elements of this iterable collection, or else the whole iterable collection, if it has less than `n` elements. If `n` is negative, returns an empty iterable collection.

     Definition Classes
       IterableOps → IterableOnceOps
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

161.  def takeRight(n: Int): WithDefault[K, V]

     Selects the last n elements.

     Selects the last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this iterable collection.

     returns

       a iterable collection consisting only of the last `n` elements of this iterable collection, or else the whole iterable collection, if it has less than `n` elements. If `n` is negative, returns an empty iterable collection.

     Definition Classes
       IterableOps
162.  def takeWhile(p: ((K, V)) => Boolean): WithDefault[K, V]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this iterable collection whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableOps → IterableOnceOps
163.  def tapEach[U](f: ((K, V)) => U): WithDefault[K, V]

     Applies a side-effecting function to each element in this collection.

     Applies a side-effecting function to each element in this collection. Strict collections will apply `f` to their elements immediately, while lazy collections like Views and LazyLists will only apply `f` on each element if and when that element is evaluated, and each time that element is evaluated.

     U

       the return type of f

     f

       a function to apply to each element in this iterable collection

     returns

       The same logical collection as this

     Definition Classes
       IterableOps → IterableOnceOps
164.  def to[C1](factory: Factory[(K, V), C1]): C1

     Given a collection factory `factory`, convert this collection to the appropriate representation for the current element type `A`.

     Given a collection factory `factory`, convert this collection to the appropriate representation for the current element type `A`. Example uses:

     xs.to(List) xs.to(ArrayBuffer) xs.to(BitSet) // for xs: Iterable[Int]

     Definition Classes
       IterableOnceOps
165.  def toArray[B >: (K, V)](implicit arg0: ClassTag[B]): Array[B]

     Convert collection to array.

     Convert collection to array.

     Definition Classes
       IterableOnceOps
166.  final def toBuffer[B >: (K, V)]: Buffer[B]
     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
167.  def toIndexedSeq: IndexedSeq[(K, V)]
     Definition Classes
       IterableOnceOps
168.  final def toIterable: WithDefault.this.type

     returns

       This collection as an `Iterable[A]`. No new collection will be built if `this` is already an `Iterable[A]`.

     Definition Classes
       Iterable → IterableOps
169.  def toList: List[(K, V)]
     Definition Classes
       IterableOnceOps
170.  final def toMap[K2, V2](implicit ev: <:<[(K, V), (K2, V2)]): Map[K2, V2]
     Definition Classes
       Map → IterableOnceOps
171.  def toSeq: Seq[(K, V)]

     returns

       This collection as a `Seq[A]`. This is equivalent to `to(Seq)` but might be faster.

     Definition Classes
       IterableOnceOps
172.  def toSet[B >: (K, V)]: Set[B]
     Definition Classes
       IterableOnceOps
173.  def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Map → Function1 → Iterable → AnyRef → Any
174.  def toVector: Vector[(K, V)]
     Definition Classes
       IterableOnceOps
175.  def transform[W](f: (K, V) => W): SortedMap[K, W]

     This function transforms all the values of mappings contained in this map with function `f`.

     This function transforms all the values of mappings contained in this map with function `f`.

     f

       A function over keys and values

     returns

       the updated map

     Definition Classes
       SortedMapOps → MapOps
176.  def transpose[B](implicit asIterable: ((K, V)) => collection.Iterable[B]): Iterable[Iterable[B]]

     Transposes this iterable collection of iterable collections into a iterable collection of iterable collections.

     Transposes this iterable collection of iterable collections into a iterable collection of iterable collections.

     The resulting collection's type will be guided by the static type of iterable collection. For example:

         val xs = List(
                    Set(1, 2, 3),
                    Set(4, 5, 6)).transpose
         // xs == List(
         //         List(1, 4),
         //         List(2, 5),
         //         List(3, 6))

         val ys = Vector(
                    List(1, 2, 3),
                    List(4, 5, 6)).transpose
         // ys == Vector(
         //         Vector(1, 4),
         //         Vector(2, 5),
         //         Vector(3, 6))

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     B

       the type of the elements of each iterable collection.

     asIterable

       an implicit conversion which asserts that the element type of this iterable collection is an `Iterable`.

     returns

       a two-dimensional iterable collection of iterable collections which has as nth row the nth column of this iterable collection.

     Definition Classes
       IterableOps
     Exceptions thrown

       `IllegalArgumentException` if all collections in this iterable collection are not of the same size.

177.  def unapply(a: K): Option[V]

     Tries to extract a `B` from an `A` in a pattern matching expression.

     Tries to extract a `B` from an `A` in a pattern matching expression.

     Definition Classes
       PartialFunction
178.  val underlying: Map[K, V]
     Definition Classes
       WithDefault
179.  def unlift: PartialFunction[K, B]

     Converts an optional function to a partial function.

     Converts an optional function to a partial function.

     Implicit
       This member is added by an implicit conversion from WithDefault[K, V] toUnliftOps[K, B] performed by method UnliftOps in scala.Function1.This conversion will take place only if V is a subclass of Option[B] (V <: Option[B]).
     Definition Classes
       UnliftOps
     Example:

     1. Unlike Function.unlift, this UnliftOps.unlift method can be used in extractors.

            val of: Int => Option[String] = { i =>
              if (i == 2) {
                Some("matched by an optional function")
              } else {
                None
              }
            }

            util.Random.nextInt(4) match {
              case of.unlift(m) => // Convert an optional function to a pattern
                println(m)
              case _ =>
                println("Not matched")
            }

180.  def unsorted: Map[K, V]
     Definition Classes
       SortedMap → SortedMapOps → SortedMap → SortedMapOps
181.  def unzip[A1, A2](implicit asPair: ((K, V)) => (A1, A2)): (Iterable[A1], Iterable[A2])

     Converts this iterable collection of pairs into two collections of the first and second half of each pair.

     Converts this iterable collection of pairs into two collections of the first and second half of each pair.

         val xs = Iterable(
                    (1, "one"),
                    (2, "two"),
                    (3, "three")).unzip
         // xs == (Iterable(1, 2, 3),
         //        Iterable(one, two, three))

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this iterable collection is a pair.

     returns

       a pair of iterable collections, containing the first, respectively second half of each element pair of this iterable collection.

     Definition Classes
       IterableOps
182.  def unzip3[A1, A2, A3](implicit asTriple: ((K, V)) => (A1, A2, A3)): (Iterable[A1], Iterable[A2], Iterable[A3])

     Converts this iterable collection of triples into three collections of the first, second, and third element of each triple.

     Converts this iterable collection of triples into three collections of the first, second, and third element of each triple.

         val xs = Iterable(
                    (1, "one", '1'),
                    (2, "two", '2'),
                    (3, "three", '3')).unzip3
         // xs == (Iterable(1, 2, 3),
         //        Iterable(one, two, three),
         //        Iterable(1, 2, 3))

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this iterable collection is a triple.

     returns

       a triple of iterable collections, containing the first, second, respectively third member of each element triple of this iterable collection.

     Definition Classes
       IterableOps
183.  def updated[V1 >: V](key: K, value: V1): WithDefault[K, V1]

     Creates a new map obtained by updating this map with a given key/value pair.

     Creates a new map obtained by updating this map with a given key/value pair.

     V1

       the type of the added value

     key

       the key

     value

       the value

     returns

       A new map with the new key/value mapping added to this map. <invalid inheritdoc annotation>

     Definition Classes
       WithDefault → SortedMapOps → WithDefault → MapOps
184.  def updatedWith[V1 >: V](key: K)(remappingFunction: (Option[V]) => Option[V1]): SortedMap[K, V1]

     Update a mapping for the specified key and its current optionally-mapped value (`Some` if there is current mapping, `None` if not).

     Update a mapping for the specified key and its current optionally-mapped value (`Some` if there is current mapping, `None` if not).

     If the remapping function returns `Some(v)`, the mapping is updated with the new value `v`. If the remapping function returns `None`, the mapping is removed (or remains absent if initially absent). If the function itself throws an exception, the exception is rethrown, and the current mapping is left unchanged.

     key

       the key value

     remappingFunction

       a partial function that receives current optionally-mapped value and return a new mapping

     returns

       A new map with the updated mapping with the key

     Definition Classes
       SortedMapOps → MapOps
     Since

       2.13.0

185.  def valueStepper[S <: Stepper[_]](implicit shape: StepperShape[V, S]): S

     Returns a Stepper for the values of this map.

     Returns a Stepper for the values of this map. See method stepper.

     Definition Classes
       MapOps
186.  def values: collection.Iterable[V]

     Collects all values of this map in an iterable collection.

     Collects all values of this map in an iterable collection.

     returns

       the values of this map as an iterable.

     Definition Classes
       MapOps
187.  def valuesIterator: Iterator[V]

     Creates an iterator for all values in this map.

     Creates an iterator for all values in this map.

     returns

       an iterator over all values that are associated with some key in this map.

     Definition Classes
       MapOps
188.  def valuesIteratorFrom(start: K): Iterator[V]

     Creates an iterator over all the values contained in this map that are associated with a key greater than or equal to `start` according to the ordering of this map.

     Creates an iterator over all the values contained in this map that are associated with a key greater than or equal to `start` according to the ordering of this map. x.valuesIteratorFrom(y) is equivalent to but often more efficient than x.from(y).valuesIterator.

     start

       The lower bound (inclusive) on the keys to be returned

     Definition Classes
       SortedMapOps
189.  def view: MapView[K, V]

     A view over the elements of this collection.

     A view over the elements of this collection.

     Definition Classes
       MapOps → IterableOps
190.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
191.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
192.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
193.  def withDefault[V1 >: V](d: (K) => V1): SortedMap[K, V1]

     The same map with a given default function.

     The same map with a given default function. Note: The default is only used for `apply`. Other methods like `get`, `contains`, `iterator`, `keys`, etc. are not affected by `withDefault`.

     Invoking transformer methods (e.g. `map`) will not preserve the default value.

     d

       the function mapping keys to values, used for non-present keys

     returns

       a wrapper of the map with a default value

     Definition Classes
       SortedMap → Map
194.  def withDefaultValue[V1 >: V](d: V1): SortedMap[K, V1]

     The same map with a given default value.

     The same map with a given default value. Note: The default is only used for `apply`. Other methods like `get`, `contains`, `iterator`, `keys`, etc. are not affected by `withDefaultValue`.

     Invoking transformer methods (e.g. `map`) will not preserve the default value.

     d

       default value used for non-present keys

     returns

       a wrapper of the map with a default value

     Definition Classes
       SortedMap → Map
195.  def withFilter(p: ((K, V)) => Boolean): SortedMapOps.WithFilter[K, V, [x]Iterable[x], [x, y]Map[x, y], [x, y]SortedMap[x, y]]

     Creates a non-strict filter of this map.

     Creates a non-strict filter of this map.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this map which satisfy the predicate `p`.

     Definition Classes
       SortedMapFactoryDefaults → IterableOps
196.  def zip[B](that: IterableOnce[B]): Iterable[((K, V), B)]

     Returns a iterable collection formed from this iterable collection and another iterable collection by combining corresponding elements in pairs.

     Returns a iterable collection formed from this iterable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new iterable collection containing pairs consisting of corresponding elements of this iterable collection and `that`. The length of the returned collection is the minimum of the lengths of this iterable collection and `that`.

     Definition Classes
       IterableOps
197.  def zipAll[A1 >: (K, V), B](that: collection.Iterable[B], thisElem: A1, thatElem: B): Iterable[(A1, B)]

     Returns a iterable collection formed from this iterable collection and another iterable collection by combining corresponding elements in pairs.

     Returns a iterable collection formed from this iterable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this iterable collection is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this iterable collection.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this iterable collection and `that`. The length of the returned collection is the maximum of the lengths of this iterable collection and `that`. If this iterable collection is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this iterable collection, `thatElem` values are used to pad the result.

     Definition Classes
       IterableOps
198.  def zipWithIndex: Iterable[((K, V), Int)]

     Zips this iterable collection with its indices.

     Zips this iterable collection with its indices.

     returns

       A new iterable collection containing pairs consisting of all elements of this iterable collection paired with their index. Indices start at `0`.

     Definition Classes
       IterableOps → IterableOnceOps
     Example:

     1. `List("a", "b", "c").zipWithIndex == List(("a", 0), ("b", 1), ("c", 2))`

     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

### Shadowed Implicit Value Members

1.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from WithDefault[K, V] toany2stringadd[WithDefault[K, V]] performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (withDefault: any2stringadd[WithDefault[K, V]]).+(other)

   Definition Classes
     any2stringadd

### Deprecated Value Members

1.  def +[V1 >: V](elem1: (K, V1), elem2: (K, V1), elems: (K, V1)*): SortedMap[K, V1]
   Definition Classes
     SortedMapOps → MapOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use ++ with an explicit collection argument instead of + with varargs

2.  def ++:[V1 >: V](that: IterableOnce[(K, V1)]): Map[K, V1]
   Definition Classes
     MapOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use ++ instead of ++: for collections of type Iterable

3.  def ++:[B >: (K, V)](that: IterableOnce[B]): Iterable[B]
   Definition Classes
     IterableOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use ++ instead of ++: for collections of type Iterable

4.  def -(key1: K, key2: K, keys: K*): WithDefault[K, V]
   Definition Classes
     MapOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use -- with an explicit collection

5.  def /:[B](z: B)(op: (B, (K, V)) => B): B
   Implicit
     This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (withDefault: IterableOnceExtensionMethods[(K, V)])./:(z)(op)

   Definition Classes
     IterableOnceExtensionMethods
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use .iterator.foldLeft instead

6.  final def /:[B](z: B)(op: (B, (K, V)) => B): B
   Definition Classes
     IterableOnceOps
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use foldLeft instead of /:

7.  def :\[B](z: B)(op: ((K, V), B) => B): B
   Implicit
     This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (withDefault: IterableOnceExtensionMethods[(K, V)]).:\(z)(op)

   Definition Classes
     IterableOnceExtensionMethods
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use .iterator.foldRight instead

8.  final def :\[B](z: B)(op: ((K, V), B) => B): B
   Definition Classes
     IterableOnceOps
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use foldRight instead of :\

9.  def aggregate[B](z: => B)(seqop: (B, (K, V)) => B, combop: (B, B) => B): B
   Definition Classes
     IterableOnceOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) `aggregate` is not relevant for sequential collections. Use `foldLeft(z)(seqop)` instead.

10.  def collectFirst[B](f: PartialFunction[(K, V), B]): Option[B]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).collectFirst(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.collectFirst(...) instead

11.  def companion: IterableFactory[[_]Iterable[_]]
    Definition Classes
      IterableOps
    Annotations
      @deprecated @deprecatedOverriding("Use iterableFactory instead", "2.13.0") @inline()
    Deprecated

      (Since version 2.13.0) Use iterableFactory instead

12.  def compare(k0: K, k1: K): Int

    Comparison function that orders keys.

    Comparison function that orders keys.

    Definition Classes
      SortedOps
    Annotations
      @deprecated @deprecatedOverriding("Use ordering.compare instead", "2.13.0") @inline()
    Deprecated

      (Since version 2.13.0) Use ordering.compare instead

13.  def copyToBuffer(dest: Buffer[(K, V)]): Unit
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).copyToBuffer(dest)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.copyToBuffer(...) instead

14.  final def copyToBuffer[B >: (K, V)](dest: Buffer[B]): Unit
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use `dest ++= coll` instead

15.  def count(f: ((K, V)) => Boolean): Int
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).count(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.count(...) instead

16.  def exists(f: ((K, V)) => Boolean): Boolean
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).exists(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.exists(...) instead

17.  def filter(f: ((K, V)) => Boolean): Iterator[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).filter(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.filter(...) instead

18.  def filterKeys(p: (K) => Boolean): MapView[K, V]

    Filters this map by retaining only keys satisfying a predicate.

    Filters this map by retaining only keys satisfying a predicate.

    p

      the predicate used to test keys

    returns

      an immutable map consisting only of those key value pairs of this map where the key satisfies the predicate `p`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      MapOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .view.filterKeys(f). A future version will include a strict version of this method (for now, .view.filterKeys(p).toMap).

19.  def find(p: ((K, V)) => Boolean): Option[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).find(p)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.find instead

20.  def flatMap[B](f: ((K, V)) => IterableOnce[B]): IterableOnce[B]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).flatMap(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.flatMap instead or consider requiring an Iterable

21.  def fold[A1 >: A](z: A1)(op: (A1, A1) => A1): A1
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).fold(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.fold instead

22.  def foldLeft[B](z: B)(op: (B, (K, V)) => B): B
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).foldLeft(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldLeft instead

23.  def foldRight[B](z: B)(op: ((K, V), B) => B): B
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).foldRight(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldRight instead

24.  def forall(f: ((K, V)) => Boolean): Boolean
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).forall(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.forall(...) instead

25.  def foreach[U](f: ((K, V)) => U): Unit
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).foreach(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foreach(...) instead

26.  final def from(from: K): WithDefault[K, V]

    Creates a ranged projection of this collection with no upper-bound.

    Creates a ranged projection of this collection with no upper-bound.

    from

      The lower-bound (inclusive) of the ranged projection.

    Definition Classes
      SortedOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use rangeFrom

27.  def hasDefiniteSize: Boolean

    Tests whether this collection is known to have a finite size.

    Tests whether this collection is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end. Non-empty Iterators usually return `false` even if they were created from a collection with a known finite size.

    Note: many collection methods will not work on collections of infinite sizes. The typical failure mode is an infinite loop. These methods always attempt a traversal without checking first that `hasDefiniteSize` returns `true`. However, checking `hasDefiniteSize` can provide an assurance that size is well-defined and non-termination is not a concern.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Check .knownSize instead of .hasDefiniteSize for more actionable information (see scaladoc for details)

    See also

      method `knownSize` for a more useful alternative

28.  def isEmpty: Boolean
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).isEmpty

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.isEmpty instead

29.  def map[B](f: ((K, V)) => B): IterableOnce[B]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).map(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.map instead or consider requiring an Iterable

30.  def mapValues[W](f: (V) => W): MapView[K, W]

    Transforms this map by applying a function to every retrieved value.

    Transforms this map by applying a function to every retrieved value.

    f

      the function used to transform values of this map.

    returns

      a map view which maps every key of this map to `f(this(key))`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      MapOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .view.mapValues(f). A future version will include a strict version of this method (for now, .view.mapValues(f).toMap).

31.  def max(implicit ord: math.Ordering[(K, V)]): (K, V)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).max(ord)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.max instead

32.  def maxBy[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): (K, V)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).maxBy(f)(cmp)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.maxBy(...) instead

33.  def min(implicit ord: math.Ordering[(K, V)]): (K, V)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).min(ord)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.min instead

34.  def minBy[B](f: ((K, V)) => B)(implicit cmp: math.Ordering[B]): (K, V)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).minBy(f)(cmp)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.minBy(...) instead

35.  def mkString: String
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).mkString

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

36.  def mkString(sep: String): String
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).mkString(sep)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

37.  def mkString(start: String, sep: String, end: String): String
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).mkString(start, sep, end)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

38.  def nonEmpty: Boolean
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).nonEmpty

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.nonEmpty instead

39.  def product(implicit num: math.Numeric[(K, V)]): (K, V)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).product(num)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.product instead

40.  def reduce(f: ((K, V), (K, V)) => (K, V)): (K, V)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).reduce(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduce(...) instead

41.  def reduceLeft(f: ((K, V), (K, V)) => (K, V)): (K, V)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).reduceLeft(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceLeft(...) instead

42.  def reduceLeftOption(f: ((K, V), (K, V)) => (K, V)): Option[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).reduceLeftOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceLeftOption(...) instead

43.  def reduceOption(f: ((K, V), (K, V)) => (K, V)): Option[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).reduceOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceOption(...) instead

44.  def reduceRight(f: ((K, V), (K, V)) => (K, V)): (K, V)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).reduceRight(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceRight(...) instead

45.  def reduceRightOption(f: ((K, V), (K, V)) => (K, V)): Option[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).reduceRightOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceRightOption(...) instead

46.  final def repr: WithDefault[K, V]
    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use coll instead of repr in a collection implementation, use the collection value itself from the outside

47.  def sameElements[B >: A](that: IterableOnce[B]): Boolean
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.sameElements instead

48.  def seq: WithDefault.this.type
    Definition Classes
      Iterable
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Iterable.seq always returns the iterable itself

49.  def size: Int
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).size

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.size instead

50.  def sum(implicit num: math.Numeric[(K, V)]): (K, V)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).sum(num)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.sum instead

51.  def to[C1](factory: Factory[(K, V), C1]): C1
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).to(factory)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(factory) instead

52.  final def to(to: K): WithDefault[K, V]

    Create a range projection of this collection with no lower-bound.

    Create a range projection of this collection with no lower-bound.

    to

      The upper-bound (inclusive) of the ranged projection.

    Definition Classes
      SortedOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use rangeTo

53.  def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toArray(arg0)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.toArray

54.  def toBuffer[B >: A]: Buffer[B]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toBuffer

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(ArrayBuffer) instead

55.  def toIndexedSeq: collection.IndexedSeq[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toIndexedSeq

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.toIndexedSeq instead

56.  final def toIterable: collection.Iterable[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toIterable

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Iterable) instead

57.  def toIterator: Iterator[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toIterator

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator instead

58.  final def toIterator: Iterator[(K, V)]
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator instead of .toIterator

59.  def toList: List[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toList

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(List) instead

60.  def toMap[K, V](implicit ev: <:<[(K, V), (K, V)]): Map[K, V]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toMap(ev)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Map) instead

61.  def toSeq: Seq[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toSeq

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Seq) instead

62.  def toSet[B >: A]: Set[B]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toSet

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Set) instead

63.  def toStream: Stream[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toStream

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(LazyList) instead

64.  final def toStream: Stream[(K, V)]
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .to(LazyList) instead of .toStream

65.  final def toTraversable: collection.Traversable[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toTraversable

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use toIterable instead

66.  final def toTraversable: collection.Traversable[(K, V)]

    Converts this iterable collection to an unspecified Iterable.

    Converts this iterable collection to an unspecified Iterable. Will return the same collection if this instance is already Iterable.

    returns

      An Iterable containing all elements of this iterable collection.

    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use toIterable instead

67.  def toVector: Vector[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).toVector

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Vector) instead

68.  final def until(until: K): WithDefault[K, V]

    Creates a ranged projection of this collection with no lower-bound.

    Creates a ranged projection of this collection with no lower-bound.

    until

      The upper-bound (exclusive) of the ranged projection.

    Definition Classes
      SortedOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use rangeUntil

69.  def view(from: Int, until: Int): View[(K, V)]

    A view over a slice of the elements of this collection.

    A view over a slice of the elements of this collection.

    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .view.slice(from, until) instead of .view(from, until)

70.  def withFilter(f: ((K, V)) => Boolean): Iterator[(K, V)]
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toIterableOnceExtensionMethods[(K, V)] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (withDefault: IterableOnceExtensionMethods[(K, V)]).withFilter(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.withFilter(...) instead

71.  def →[B](y: B): (WithDefault[K, V], B)
    Implicit
      This member is added by an implicit conversion from WithDefault[K, V] toArrowAssoc[WithDefault[K, V]] performed by method ArrowAssoc in scala.Predef.This conversion will take place only if V is a subclass of Option[Nothing] (V <: Option[Nothing]).
    Definition Classes
      ArrowAssoc
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from SortedMap[K, V]

### Inherited from SortedMapOps[K, V, SortedMap, WithDefault[K, V]]

### Inherited from collection.SortedMap[K, V]

### Inherited from SortedMapFactoryDefaults[K, V, [x, y]SortedMap[x, y], [x]Iterable[x], [x, y]Map[x, y]]

### Inherited from collection.SortedMapOps[K, V, [X, Y]SortedMap[X, Y], WithDefault[K, V]]

### Inherited from SortedOps[K, WithDefault[K, V]]

### Inherited from Map.WithDefault[K, V]

### Inherited from java.io.Serializable

### Inherited from AbstractMap[K, V]

### Inherited from Map[K, V]

### Inherited from MapOps[K, V, Map, WithDefault[K, V]]

### Inherited from Iterable[(K, V)]

### Inherited from collection.AbstractMap[K, V]

### Inherited from collection.Map[K, V]

### Inherited from Equals

### Inherited from MapFactoryDefaults[K, V, [x, y]Map[x, y], [x]Iterable[x]]

### Inherited from collection.MapOps[K, V, [_, _]Map[_, _], WithDefault[K, V]]

### Inherited from PartialFunction[K, V]

### Inherited from (K) => V

### Inherited from AbstractIterable[(K, V)]

### Inherited from collection.Iterable[(K, V)]

### Inherited from IterableFactoryDefaults[(K, V), [x]Iterable[x]]

### Inherited from IterableOps[(K, V), [_]Iterable[_], WithDefault[K, V]]

### Inherited from IterableOnceOps[(K, V), [_]Iterable[_], WithDefault[K, V]]

### Inherited from IterableOnce[(K, V)]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion UnliftOps fromWithDefault[K, V] to UnliftOps[K, B]

### Inherited by implicit conversion iterableOnceExtensionMethods fromWithDefault[K, V] to IterableOnceExtensionMethods[(K, V)]

### Inherited by implicit conversion any2stringadd fromWithDefault[K, V] to any2stringadd[WithDefault[K, V]]

### Inherited by implicit conversion StringFormat fromWithDefault[K, V] to StringFormat[WithDefault[K, V]]

### Inherited by implicit conversion Ensuring fromWithDefault[K, V] to Ensuring[WithDefault[K, V]]

### Inherited by implicit conversion ArrowAssoc fromWithDefault[K, V] to ArrowAssoc[WithDefault[K, V]]

### Ungrouped